package com.example.carillon_map_box

import android.content.Context
import android.view.View
import com.mapbox.maps.MapView
import com.mapbox.maps.Style
import io.flutter.plugin.platform.PlatformView

class CarillonMapBoxView(context: Context, id: Int, creationParams: Map<String?, Any?>?) : PlatformView {
    private val _mapView: MapView = MapView(context)

    override fun getView(): View {
        return _mapView
    }

    override fun dispose() {}

    init {
        _mapView.getMapboxMap().loadStyleUri(Style.MAPBOX_STREETS)
    }
}