package com.example.carillon_map_box

import android.app.Activity
import android.content.Intent
import java.io.Serializable
import java.util.*

class NavigationLauncher {
    companion object {
        val SEND_ALERT = "carillonMapBox.broadcast.SEND_ALERT"

        fun startNavigation(activity: Activity, options: Map<String, Objects>) {
            val navIntent = Intent(activity, NavigationActivity::class.java)
            navIntent.putExtra("options", options as Serializable)
            activity.startActivity(navIntent)
        }

        fun sendAlert(activity: Activity) {
            val alertIntent = Intent()
            alertIntent.setAction(SEND_ALERT)
            activity.sendBroadcast(alertIntent)
        }
    }
}