import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:carillon_map_box/carillon_map_box.dart';

void main() {
  const MethodChannel channel = MethodChannel('carillon_map_box');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await CarillonMapBox.platformVersion, '42');
  });
}
